<?php

session_start();

require_once ("../../config/Cado.php");
require_once ("../empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
require_once ("../producto/cProducto.php");
$oProducto = new cProducto();
require_once ("../puntoventa/cPuntoventa.php");
$oPuntoventa = new cPuntoventa();
require_once ("../consumopagar/cConsumopagar.php");
$oConsumopagar = new cConsumopagar();

require_once ("../impresora/cImpresora.php");
$oImpresora = new cImpresora();
require_once("../formatos/formato.php");
require_once("../formatos/numletras.php");

	$conpagid=$_POST['conpagid'];

	$dtscot= $oConsumopagar->mostrarUno($conpagid);
	$dtcot= mysqli_fetch_array($dtscot);
	$conpag_numdoc	=$dtcot['tb_consumopagar_numdoc'];
	$conpag_fec=$dtcot['tb_consumopagar_fec'];
	$conpag_tot=$dtcot['tb_consumopagar_tot'];
	$conpag_clidoc	=$dtcot['tb_cliente_doc'];
	$conpag_clinom	=$dtcot['tb_cliente_nom'];
	$conpag_clidir	=$dtcot['tb_cliente_dir'];
	$conpag_dia=$dtcot['tb_consumopagar_dia'];
	$emp_id	=$dtcot['emp'];
	$conpag_monid	=$dtcot['tb_moneda_id'];
	
	mysqli_free_result($dtscot);


$dtsi=$oImpresora->mostrarUno(1);
$dti = mysqli_fetch_array($dtsi);
	$imp_nom 	=$dti['tb_impresora_nom'];
	$imp_nomloc =$dti['tb_impresora_nomloc'];
	$imp_ser 	=$dti['tb_impresora_ser'];
	$imp_url 	=$dti['tb_impresora_url'];
	$imp_ip 	=$dti['tb_impresora_ip'];
mysqli_free_result($dts);


$dts=$oEmpresa->mostrarUno($emp_id);
$dt = mysqli_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];
	$emp_nomcom=$dt['tb_empresa_nomcom'];
	$emp_razsoc=$dt['tb_empresa_razsoc'];
	$emp_dir=$dt['tb_empresa_dir'];
	$emp_dir2=$dt['tb_empresa_dir2'];
	$emp_tel=$dt['tb_empresa_tel'];
	$emp_ema=$dt['tb_empresa_ema'];
	$emp_rep=$dt['tb_empresa_rep'];
	$emp_fir=$dt['tb_empresa_fir'];
mysqli_free_result($dts);


$data['imp_nom'] = $imp_nom;
$data['imp_nomloc'] = $imp_nomloc;
$data['imp_ser'] = $imp_ser;
$data['imp_url'] = $imp_url;
$data['imp_ip']	 = $imp_ip;
$archivo_ticket='consumopagar/consumopagar_ticket_mat.php';
$data['imp_doc'] = $imp_url.$archivo_ticket;

$data['emp_razsoc'] =$emp_razsoc;
$data['emp_nomcom'] =$emp_nomcom;
$data['emp_ruc']	=$emp_ruc;
$data['emp_dir1']	=$emp_dir;
$data['emp_dir2']	=$emp_dir2;
$data['emp_tel']	=$emp_tel;
$data['emp_rep']	=$emp_rep;


if($conpag_monid==1){
	$mon_let = 'PEN';	
}else if($conpag_monid==2){
	$mon_let = 'USD';
}


if($conpag_monid=="1"){
	$lblmon=" SOLES";
}else if($conpag_monid=="2"){
	$lblmon=" DOLARES";
}

if($conpag_dia=="0"){
	$lblpag="CONTADO";
}else{
	$lblpag="A ".$conpag_monid." DIA(S)";
}

$data['conpag_forpag'] = $lblpag;
$data['conpag_numdoc'] = $conpag_numdoc;
$data['conpag_fec'] = $conpag_fec;
$data['conpag_clidoc'] = $conpag_clidoc;
$data['conpag_clinom'] = $conpag_clinom;
$data['conpag_clidir'] = $conpag_clidir;
$data['conpag_lblmon'] = $lblmon;
$data['conpag_letmon']	= numtoletras($conpag_tot).$lblmon;

$dtsdetcot =$oConsumopagar->mostrarconsumopagardetalle($conpagid);
$num_rows= mysqli_num_rows($dtsdetcot);
if($num_rows>=1){

	while($dt1 = mysqli_fetch_array($dtsdetcot))
	{
		$detconpag_pronom = $dt1["tb_consumopagardetalle_nom"];
		$detconpag_marnom = $dt1["tb_marca_nom"];
		$detconpag_can =  $dt1["tb_consumopagardetalle_can"];
		$detconpag_valuni = $dt1["tb_consumopagardetalle_valuni"];
		$detconpag_preuni = $detconpag_valuni * 1.18;
		$detconpag_pretot = $detconpag_preuni * $detconpag_can;

		
		$data['conpagdet_pronom'][]= $detconpag_pronom;
		$data['conpagdet_marnom'][]= $detconpag_marnom;
		$data['conpagdet_can'][]= $detconpag_can;	
		$data['conpagdet_preuni'][]=$detconpag_preuni;
		$data['conpagdet_pretot'][]=$detconpag_pretot;

	}
	mysqli_free_result($dtsdetcot);	

}else{
	$data="";
}

echo json_encode($data);




?>